# struct settings

Full name | `toSQLParse::settings`
Definition | `#include <tosqlparse.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Members

- bool ExpandSpaces
- bool CommaBefore
- bool BlockOpenLine
- bool OperatorSpace
- bool KeywordUpper
- bool RightSeparator
- bool EndBlockNewline
- int IndentLevel
- int CommentColumn

## Detailed Description

bool ExpandSpaces

### ExpandSpaces

bool CommaBefore

### CommaBefore

bool BlockOpenLine

### BlockOpenLine

bool OperatorSpace

### OperatorSpace

bool KeywordUpper

### KeywordUpper

bool RightSeparator

### RightSeparator

bool EndBlockNewline

### EndBlockNewline

int IndentLevel

### IndentLevel

int CommentColumn

### CommentColumn

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.